#!/bin/sh
#
# $FreeBSD: ports/irc/ptlink-ircd/files/ptlink-ircd.sh.in,v 1.2 2005/09/18 15:05:18 pav Exp $
#

# PROVIDE: ircd
# REQUIRE: NETWORKING SERVERS
# BEFORE: DAEMON

# Add the following line(s) to /etc/rc.conf:
# ircd_enable (bool): Set to "NO" by default, set it to "YES" to enable ircd
# ircd_user (str): Default to "ircd"

ircd_enable=${ircd_enable-"NO"}
ircd_user=${ircd_user-"ircd"}

. /etc/rc.subr

name="ircd"
rcvar=`set_rcvar`
pidfile="/usr/local/etc/ptlink-ircd/ircd.pid"
command="/usr/local/bin/ircd"

load_rc_config "$name"
run_rc_command "$1"
